### Function

# Gimp get_parasite_list

since: 2.8

#### Declaration [src]

    gchar**
    gimp_get_parasite_list (
      void
    )

#### Description [src]

List all parasites.

Returns a list of all currently attached global parasites.

Available since: 2.8

#### Return value

Type: An array of `utf8`

         The names of currently attached parasites.
         The returned value must be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.